"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.paginateListCostAllocationTags = void 0;
const ListCostAllocationTagsCommand_1 = require("../commands/ListCostAllocationTagsCommand");
const CostExplorerClient_1 = require("../CostExplorerClient");
const makePagedClientRequest = async (client, input, ...args) => {
    return await client.send(new ListCostAllocationTagsCommand_1.ListCostAllocationTagsCommand(input), ...args);
};
async function* paginateListCostAllocationTags(config, input, ...additionalArguments) {
    let token = config.startingToken || undefined;
    let hasNext = true;
    let page;
    while (hasNext) {
        input.NextToken = token;
        input["MaxResults"] = config.pageSize;
        if (config.client instanceof CostExplorerClient_1.CostExplorerClient) {
            page = await makePagedClientRequest(config.client, input, ...additionalArguments);
        }
        else {
            throw new Error("Invalid client, expected CostExplorer | CostExplorerClient");
        }
        yield page;
        const prevToken = token;
        token = page.NextToken;
        hasNext = !!(token && (!config.stopOnSameToken || token !== prevToken));
    }
    return undefined;
}
exports.paginateListCostAllocationTags = paginateListCostAllocationTags;
