import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  CostExplorerClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CostExplorerClient";
import {
  UpdateAnomalySubscriptionRequest,
  UpdateAnomalySubscriptionResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface UpdateAnomalySubscriptionCommandInput
  extends UpdateAnomalySubscriptionRequest {}
export interface UpdateAnomalySubscriptionCommandOutput
  extends UpdateAnomalySubscriptionResponse,
    __MetadataBearer {}
export declare class UpdateAnomalySubscriptionCommand extends $Command<
  UpdateAnomalySubscriptionCommandInput,
  UpdateAnomalySubscriptionCommandOutput,
  CostExplorerClientResolvedConfig
> {
  readonly input: UpdateAnomalySubscriptionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateAnomalySubscriptionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CostExplorerClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateAnomalySubscriptionCommandInput,
    UpdateAnomalySubscriptionCommandOutput
  >;
  private serialize;
  private deserialize;
}
